<script>
  import Card from "sveltestrap/src/Card.svelte"
  import CardBody from "sveltestrap/src/CardBody.svelte"
  import CardHeader from "sveltestrap/src/CardHeader.svelte"
  import Table from "sveltestrap/src/Table.svelte"
  import filesize from "filesize"

  export let bopi

  const frenchSymbols = {
    B: "o",
    KB: "Ko",
    MB: "Mo",
    GB: "Go",
    TB: "To",
    PB: "Po",
    EB: "Eo",
    ZB: "Zo",
    YB: "Yo"
  }
</script>

<Card>
  <CardHeader>Fichiers</CardHeader>
  <CardBody>
    {#if bopi.input_files.length > 0}
      <Table responsive striped="true" bordered="true" hover="true">
        <thead>
          <tr>
            <td>Nom</td>
            <td>Date de dernière modification</td>
            <td>Taille</td>
          </tr>
        </thead>
        <tbody>
          {#each bopi.input_files as file}
            <tr>
              <td>{file.name}</td>
              <td>
                <time datetime={file.updated_at}>
                  {file.updated_at.format("L à LT")}
                </time>
              </td>
              <td>
                {filesize(file.size, { locale: true, symbols: frenchSymbols })}
              </td>
            </tr>
          {/each}
        </tbody>
      </Table>
    {:else}Néant{/if}
  </CardBody>
</Card>
